<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>{{ textoGestionUsuario }}</strong>
    </div>
    <!--Contenido-->
    <div class="pl-10 pr-10 contSecc">
      <div class="titSec">
        {{ textoGestionUsuario }}
      </div>
      <v-card>
        <div class="ml-5">
          <v-list two-line>
            <v-list-item>
              <v-list-item-avatar>
                <v-icon color="grey lighten-1" x-large
                  >mdi-account-circle-outline</v-icon
                >
              </v-list-item-avatar>
              <v-list-item-content>
                <v-list-item-title>{{ usuario.nombre }}</v-list-item-title>
                <v-list-item-subtitle>{{
                  usuario.numeroEmpleado
                }}</v-list-item-subtitle>
              </v-list-item-content>
            </v-list-item>
          </v-list>
        </div>
        <v-tabs v-model="tab" align-with-title>
          <v-tabs-slider color="yellow"></v-tabs-slider>
          <v-tab>
            Grupos
          </v-tab>
          <v-tab>
            Documentos
          </v-tab>
        </v-tabs>
        <v-tabs-items v-model="tab">
          <v-tab-item>
            <Grupos :usuarioIn="usuario" />
          </v-tab-item>
          <v-tab-item>
            <Documentos :usuarioIn="usuario" />
          </v-tab-item>
        </v-tabs-items>
      </v-card>
    </div>
  </div>
</template>
<script>
import store from "@/store";
import Grupos from "@/views/secure/modelo-negocio/accesos/usuarios/components/Grupos.vue";
import Documentos from "@/views/secure/modelo-negocio/accesos/usuarios/components/Documentos.vue";
const serviceCommons = store.state.serviceCommons;
export default {
  name: "Component-GestionAccesosUsuario",
  components: {
    Grupos,
    Documentos,
  },
  data() {
    return {
      tab: null,
      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Modelo de Negocio",
          disabled: false,
          exact: true,
          to: {
            name: "modelo_negocio",
          },
        },
        {
          text: "Accesos",
          disabled: false,
          exact: true,
          to: {
            name: "modelo_negocio_accesos",
          },
        },
        {
          text: "Usuarios",
          disabled: false,
          exact: true,
          to: {
            name: "modelo_negocio_accesos_usuarios",
          },
        },
      ],
      textoGestionUsuario: null,
      usuario: null,
    };
  },
  computed: {
    serviceCommons() {
      return serviceCommons;
    },
  },
  methods: {
    initValues() {
      if (this.usuario.numeroEmpleado) {
        this.textoGestionUsuario = "Configuración";
        this.breadcrumbs.push({
          text: "Configuración",
          disabled: true,
        });
        this.breadcrumbs.push({
          text: this.serviceCommons.titleCase(this.usuario.nombre),
          disabled: true,
        });
      }
    },
  },
  created() {
    if (this.$route.params.usuario) {
      this.usuario = this.serviceCommons.base64ToObject(
        this.$route.params.usuario
      );
    }
    if (this.$route.query.documentos) {
      this.tab = 1;
      this.$router.replace({ query: {} });
    }
    if (this.$route.query.grupos) {
      this.tab = 0;
      this.$router.replace({ query: {} });
    }
    this.initValues();
  },
};
</script>
